Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.criteria
Class CriterionTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.torque.BaseTestCase
                  org.apache.torque.criteria.CriterionTest

All Implemented Interfaces:
  junit.framework.Test

    public class CriterionTest

extends BaseTestCase

Test for the Criterion class.

Version:
  $Id: CriterionTest.java 1448414 2013-02-20 21:06:35Z tfischer $

Field Summary

Fields inherited from class org.apache.torque.BaseTestCase
`CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, tableMap`

Constructor Summary
`CriterionTest()`

Method Summary
`void` | `testCopyConstructorCompositeCriterion()` Tests that a criterion is copied when being added as top level criterion using where (also tests and).
`void` | `testCopyConstructorSimpleCriterion()` Tests that a criterion is copied when being added as top level criterion using where (also tests and).
`void` | `testCopyConstructorSqlCriterion()` Tests that a criterion is copied when being added as top level criterion using where (also tests and).
`void` | `testCriterionAndedToCriterionGetsCopied()` Tests that a criterion is copied when being anded to a top level criterion.
`void` | `testCriterionAndedToTopLevelCriterionGetsCopied()` Tests that a criterion is copied when being anded to a top level criterion.
`void` | `testCriterionOredToCriterionGetsCopied()` Tests that a criterion is copied when being ored to a top level criterion.
`void` | `testCriterionOredToTopLevelCriterionGetsCopied()` Tests that a criterion is copied when being ored to a top level criterion.
`void` | `testHashCodeAndEquals()`
`void` | `testToStringCompositeCriterion()`
`void` | `testToStringSingleCriterion()`

Methods inherited from class org.apache.torque.BaseTestCase
`setUp`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CriterionTest

    public CriterionTest()

Method Detail

### testHashCodeAndEquals

    public void testHashCodeAndEquals()

### testToStringSingleCriterion

    public void testToStringSingleCriterion()

### testToStringCompositeCriterion

    public void testToStringCompositeCriterion()

### testCriterionAndedToTopLevelCriterionGetsCopied

    public void testCriterionAndedToTopLevelCriterionGetsCopied()

  Tests that a criterion is copied when being anded to a top level criterion. checks TORQUE-243.

### testCriterionOredToTopLevelCriterionGetsCopied

    public void testCriterionOredToTopLevelCriterionGetsCopied()

  Tests that a criterion is copied when being ored to a top level criterion. checks TORQUE-243.

### testCriterionAndedToCriterionGetsCopied

    public void testCriterionAndedToCriterionGetsCopied()

  Tests that a criterion is copied when being anded to a top level criterion. checks TORQUE-243.

### testCriterionOredToCriterionGetsCopied

    public void testCriterionOredToCriterionGetsCopied()

  Tests that a criterion is copied when being ored to a top level criterion. checks TORQUE-243.

### testCopyConstructorSimpleCriterion

    public void testCopyConstructorSimpleCriterion()

  Tests that a criterion is copied when being added as top level criterion using where (also tests and). checks TORQUE-243.

### testCopyConstructorCompositeCriterion

    public void testCopyConstructorCompositeCriterion()

  Tests that a criterion is copied when being added as top level criterion using where (also tests and). checks TORQUE-243.

### testCopyConstructorSqlCriterion

    public void testCopyConstructorSqlCriterion()

  Tests that a criterion is copied when being added as top level criterion using where (also tests and). checks TORQUE-243.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.